# cleanup-meeting-data

This script removes data of past meetings from `/var/bigbluebutton`.

## building

Since Ubuntu 16.04 (xenial) is the current recommended platform for running BigBlueButton, it is recommended that you also use that operating system as your build environment. When using newer versions of Ubuntu or Debian to build, the installation of the `.deb` package will fail on the target server, because the binary will link against newer versions of system libraries, which are not available in Ubuntu 16.04.

The package assumes that your `hostname` during installation matches the name that your webserver is listening on, e.g. the API should be reachable at `https://$(hostname)/bigbluebutton/`.

```bash
# get the code
git clone https://gitlab.senfcall.de/senfcall/cleanup-meeting-data.git
cd cleanup-meeting-data

# if it's not already installed, install rust if not present
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y
source $HOME/.cargo/env

# install the cargo-deb tool for building debian packages
cargo install cargo-deb

# install build dependencies
apt install -y libssl-dev pkg-config

# compile and create Debian package
cargo deb
```
The package will be placed in the `target/debian/` directory.

## installing
You can now install the package on your server. In case you don't want to set up a repo, just use `dpkg -i cleanup-meeting-data_VERSION-NUMBER_amd64.deb`.

You can verify the installation in the following ways:
```bash
# see whether it's running
systemctl list-timers --all --no-pager
```

You can watch the cleanup happen in real time by watching the journal's tail:
```bash
journalctl -xefu cleanup-meeting-data.service
```
To watch the countdown to the next cleanup, run
```bash
watch -n1 " systemctl list-timers --no-pager | grep cleanup-meeting-data "
```
